> ## Documentation Index
> Fetch the complete documentation index at: https://docs.akumi.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch a conversation thread

> Fetches one thread with its messages, oldest first.



## OpenAPI

````yaml /api-reference/openapi.json get /recall/threads/{thread}
openapi: 3.1.0
info:
  title: Akumi
  version: 0.0.1
servers:
  - url: https://api.akumi.eu/v1
    description: Production
security:
  - http: []
tags:
  - name: Audit log
  - name: Chat completions
  - name: Embeddings
  - name: Models
  - name: Recall
  - name: Scores
paths:
  /recall/threads/{thread}:
    get:
      tags:
        - Recall
      summary: Fetch a conversation thread
      description: Fetches one thread with its messages, oldest first.
      operationId: v1.recall.threads.show
      parameters:
        - name: thread
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  messages:
                    type: array
                    items:
                      $ref: '#/components/schemas/ThreadMessageViewModel'
                required:
                  - id
                  - messages
        '401':
          $ref: '#/components/responses/AuthenticationException'
components:
  schemas:
    ThreadMessageViewModel:
      type: object
      additionalProperties: {}
      title: ThreadMessageViewModel
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer

````